Create or update a CFItemAssociation
curl --request PUT \
--url https://platform.dev.timeback.com/case/1.1/CFItemAssociations/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"association": {
"identifier": "<string>",
"uri": "<string>",
"originNodeURI": {
"title": "<string>",
"identifier": "<string>",
"uri": "<string>",
"targetType": "CASE"
},
"destinationNodeURI": {
"title": "<string>",
"identifier": "<string>",
"uri": "<string>",
"targetType": "CASE"
},
"lastChangeDateTime": "2023-11-07T05:31:56Z",
"sequenceNumber": 123,
"notes": "<string>",
"extensions": {}
}
}
'import requests
url = "https://platform.dev.timeback.com/case/1.1/CFItemAssociations/{sourcedId}"
payload = { "association": {
"identifier": "<string>",
"uri": "<string>",
"originNodeURI": {
"title": "<string>",
"identifier": "<string>",
"uri": "<string>",
"targetType": "CASE"
},
"destinationNodeURI": {
"title": "<string>",
"identifier": "<string>",
"uri": "<string>",
"targetType": "CASE"
},
"lastChangeDateTime": "2023-11-07T05:31:56Z",
"sequenceNumber": 123,
"notes": "<string>",
"extensions": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
association: {
identifier: '<string>',
uri: '<string>',
originNodeURI: {title: '<string>', identifier: '<string>', uri: '<string>', targetType: 'CASE'},
destinationNodeURI: {title: '<string>', identifier: '<string>', uri: '<string>', targetType: 'CASE'},
lastChangeDateTime: '2023-11-07T05:31:56Z',
sequenceNumber: 123,
notes: '<string>',
extensions: {}
}
})
};
fetch('https://platform.dev.timeback.com/case/1.1/CFItemAssociations/{sourcedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"imsx_codeMajor": "success",
"imsx_severity": "status",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "fullsuccess"
}
]
}
}{
"imsx_codeMajor": "success",
"imsx_severity": "status",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "fullsuccess"
}
]
}
}CASE
Create or update a CFItemAssociation
Creates a new CFItemAssociation or updates an existing one. The sourcedId in the path must match the identifier in the request body.
PUT
/
case
/
1.1
/
CFItemAssociations
/
{sourcedId}
Create or update a CFItemAssociation
Authorizations
OAuth 2.0 client credentials flow. Contact timeback@trilogy.com to request credentials for your application.
Path Parameters
Unique identifier of the CASE entity
Body
application/json
Input schema for creating or updating a CFItemAssociation
A CASE association between entities
Show child attributes
Show child attributes
Response
CFItemAssociation created or updated successfully
⌘I